package com.yami.shop.service.hb;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yami.shop.bean.model.Product;
import com.yami.shop.common.util.hb.HBR;

/**
 * 商品信息接口
 *
 * @author fubojin
 * @version 1.0.0
 * @since 2025-09-5
 */
public interface IHBGoodsService {


    /**
     * 商品信息新增或者修改
     *
     * @param hbRequest 商品信息请求
     * @return 商品信息响应
     */
    HBR addHBGoods(JSONObject hbRequest);

    /**
     * 修改商品状态信息
     * @param hbRequest 海博传入参数
     */
    HBR updateGoodsStatus(JSONObject hbRequest);

    /**
     * 价格变更
     * @param hbRequest 海博传入参数
     * @return 海博请求需要参数
     */
    HBR updateGoodsPrice(JSONObject hbRequest);

    /**
     * 修改商品库存信息
     * @param hbRequest 海博传入参数
     */
    HBR updateGoodsStock(JSONObject hbRequest);
    /**
     * 获取海博商品基础信息
     */
    String selectHBGoodsInfo(String outSkuId);

    /**
     * 海博删除商品信息
     * @param hbRequest 海博传入参数
     */
    void deleteGoods(JSONObject hbRequest);


    /**
     * 获取海博商品spu信息
     * @param spuId spuId
     * @return spu信息
     */
    String selectHBGoodsSpuInfo(String spuId);
}
